<!DOCTYPE html>
<html lang="en">
<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no">
  <meta name="author" content="Alexander Lang & Eva Westermeier & Hannah Augustin">
  <meta name="description" content="University of Salzburg, Course: IP:Spatial Data Infrastructure, Wintersemester: 16/17">

  <title>IP: GEISt</title>
  
  <script src="../Build/Cesium/Cesium.js"></script>  
  
  <style>
      @import url(../Build/Cesium/Widgets/widgets.css);
	  
        html, body, #cesiumContainer {
            margin: 0;
            padding: 0;
            overflow: hidden;
			z-index: 1;
			height: 100%;
			width: 100%;
			margin: 0 auto 0 auto;
			margin-bottom: 2%;
			background-color: black;
        }
			
        .toolbar-left 
			{
            display: block;
            position: absolute;
            top: 5px;
            left: 5px;
			}
		
		.buttonStyle
			{
			background-color:rgba(230, 230, 230, 0.4); #688A08;
			color: white;
			padding: 5px 10px;
			text-align: center;
			border: 2px solid black;
			border-radius: 5px;
			border: none;
			display: inline-block;
			cursor: pointer;
			}
			
		.Legend
			{
			position: absolute;
			top: 55px;
			left: 2px;
			}
			
		.InfoBox
			{
			border-radius: 15px 50px 30px;
			position: absolute;
			right: 10px;
			background-color:rgba(217, 217, 217, 0.5);
			top: 150px;
			width: 250px;
			height: auto;    
			padding: 20px;
			box-sizing: border-box;
			z-index: 2;
			color: white;
			text-align:left;
			display: inline-block;
			overflow-x: scroll;
			}
			
		.BottomLeft
			{
			float: left;
			position: relative;
			z-index: 3;
			background-color: black;
			bottom: 10px;
			left: 20px;
			}
			
		.BottomRigth
			{
			position: absolute;
			z-index: 4;
			background-color: black;
			bottom: 10px;
			right: 40px;
			}
			
		.Test
			{
			position: absolute;
			right: 30px;
			bottom: 20px;
			z-index: 5;
			}	
 			
			
  </style>
  
  </head>
	<body>
		<!-- Division with Cesium Viewer -->
		<div id="cesiumContainer"></div>
		  
		<!--
		#################################################
		Navigation Toolbar (Buttons)
		#################################################
		-->
		
		<div class="toolbar-left">
		<button class="buttonStyle" onclick="func_1()">Ozone</button>
		<button class="buttonStyle" onclick="func_2()">CO</button>
		<button class="buttonStyle" onclick="func_3()">NO2</button>
		<button class="buttonStyle" onclick="func_4()">SO2</button>
		<button class="buttonStyle" onclick="func_5()">CH4</button>
		<button class="buttonStyle" onclick="func_6()">HNO3</button>
		
		<input type="checkbox" id="Overlay" name="Overlay" style="color:green" onclick ="OverlayBoundary()" />Boundary
		</div>		
		<!--
		#################################################
		Legends
		#################################################
		-->
		
		<!--Legend 1-->
		<div id="Legend1" style="display:none;" class="Legend"><img src="../Apps/geist_legends/geist_gtco3_OrRd.png"></div>
		
		<!--Legend 2-->
		<div id="Legend2" style="display:none;" class="Legend"><img src="../Apps/geist_legends/geist_tcco_OrRd.png"></div>
		
		<!--Legend 3-->
		<div id="Legend3" style="display:none;" class="Legend"><img src="../Apps/geist_legends/geist_tcno2_OrRd.png"></div>
		
		<!--Legend 4-->
		<div id="Legend4" style="display:none;" class="Legend"><img src="../Apps/geist_legends/geist_tcso2_OrRd.png"></div>
		
		<!--Legend 5-->
		<div id="Legend5" style="display:none;" class="Legend"><img src="../Apps/geist_legends/geist_tc_ch4_OrRd.png"></div>
		 
		 <!--Legend 6-->
		<div id="Legend6" style="display:none;" class="Legend"><img src="../Apps/geist_legends/geist_tc_hno3_OrRd.png"></div>
		
		<!--
		#################################################
		Info boxes
		#################################################
		-->
		
		<!-- Info Box 1 -->
		<div id="Box1" class="InfoBox" style="display:none"><b>GEMS Total column ozone</b> <br></br>
		This service provides a current near real-time forecast for GEMS Total column ozone
		at surface fields. The most current forecast is displayed, according to the following
		file name structure: z_cams_c_ecmf_yyyymmddhhmmss_prod_fc_sfc_000_gtco3
		<br></br>
		<b>For more information see:</b>
		
		<a href="https://gitlab.com/hannah.augustin/IoT_Integration" target="_blank">GitLab</a> <br></br>
		 
		<a href="http://atmosphere.copernicus.eu/ftp-access-global-data" target="_blank">Copernicus FTP Access</a> 	<br></br>
		
		<a href="http://edusvr219.geo.sbg.ac.at/metadata/gtco3.xml" target="_blank">Further Metadata (XML)</a> 	<br></br>
		</div>
		  
		<!-- Info Box 2 -->
		<div id="Box2" class="InfoBox" style="display:none"><b>Total column Carbon monoxide</b><br></br>
		This service provides a current near real-time forecast for total column Carbon monoxide at surface fields. The most current forecast is displayed, according to the following file name structure: z_cams_c_ecmf_yyyymmddhhmmss_prod_fc_sfc_000_tcco
		<b>For more information see:</b>
		<a href="https://gitlab.com/hannah.augustin/IoT_Integration" target="_blank">GitLab</a> <br></br>
		 
		<a href="http://atmosphere.copernicus.eu/ftp-access-global-data" target="_blank">Copernicus FTP Access</a> 	<br></br>
		
		<a href="http://edusvr219.geo.sbg.ac.at/metadata/tcco.xml" target="_blank">Further Metadata (XML)</a> 	<br></br>
		</div>
		
		<!-- Info Box 3 -->
		<div id="Box3" class="InfoBox" style="display:none"><b>Total column Nitrogen dioxide</b><br></br>
		This service provides a current near real-time forecast for Total column Nitrogen dioxide at surface fields. The most current forecast is displayed, according to the following file name structure: z_cams_c_ecmf_yyyymmddhhmmss_prod_fc_sfc_000_tcno2
		<b>For more information see:</b>:
		<a href="https://gitlab.com/hannah.augustin/IoT_Integration" target="_blank">GitLab</a> <br></br>
		 
		<a href="http://atmosphere.copernicus.eu/ftp-access-global-data" target="_blank">Copernicus FTP Access</a> 	<br></br>
		
		<a href="http://edusvr219.geo.sbg.ac.at/metadata/tcno2.xml" target="_blank">Further Metadata (XML)</a> 	<br></br>
		</div>
		  
		<!-- Info Box 4 -->
		<div id="Box4" class="InfoBox" style="display:none"><b>Total column Sulphur dioxide</b><br></br>
		This service provides a current near real-time forecast for total column Sulphur dioxide at surface fields. The most current forecast is displayed, according to the following file name structure: z_cams_c_ecmf_yyyymmddhhmmss_prod_fc_sfc_000_tcso2
		<b>For more information see:</b>
		<a href="https://gitlab.com/hannah.augustin/IoT_Integration" target="_blank">GitLab</a> <br></br>
		 
		<a href="http://atmosphere.copernicus.eu/ftp-access-global-data" target="_blank">Copernicus FTP Access</a> 	<br></br>
		
		<a href="http://edusvr219.geo.sbg.ac.at/metadata/tcso2.xml" target="_blank">Further Metadata (XML)</a> 	<br></br>
		</div>
		
		<!-- Info Box 5 -->
		<div id="Box5" class="InfoBox" style="display:none"><b>Total column methane</b><br></br>
		This service provides a current near real-time forecast for Total column methane at surface fields. The most current forecast is displayed, according to the following file name structure: z_cams_c_ecmf_yyyymmddhhmmss_prod_fc_sfc_000_tc_ch4
		<b>For more information see:</b>
		<a href="https://gitlab.com/hannah.augustin/IoT_Integration" target="_blank">GitLab</a> <br></br>
		 
		<a href="http://atmosphere.copernicus.eu/ftp-access-global-data" target="_blank">Copernicus FTP Access</a> 	<br></br>
		
		<a href="http://edusvr219.geo.sbg.ac.at/metadata/tc_ch4.xml" target="_blank">Further Metadata (XML)</a> 	<br></br>
		</div>
		  
		<!-- Info Box 6 -->
		<div id="Box6" class="InfoBox" style="display:none"><b>Total column nitric acid</b><br></br>
		This service provides a current near real-time forecast for total column nitric acid at surface fields. The most current forecast is displayed, according to the following file name structure: z_cams_c_ecmf_yyyymmddhhmmss_prod_fc_sfc_000_tc_hno3
		<b>For more information see:</b>
		<a href="https://gitlab.com/hannah.augustin/IoT_Integration" target="_blank">GitLab</a> <br></br>
		 
		<a href="http://atmosphere.copernicus.eu/ftp-access-global-data" target="_blank">Copernicus FTP Access</a> 	<br></br>
		
		<a href="http://edusvr219.geo.sbg.ac.at/metadata/tc_hno3.xml" target="_blank">Further Metadata (XML)</a> 	<br></br>
		</div>
		
		<!--
		#################################################
		Cesium Script
		#################################################
		-->

		<script>
		  Cesium.BingMapsApi.defaultKey = 'AoUiEda8Qmjqp--sZs-5ncJSBm9NlDK3hySOP_-EqRPb7VHDw_L8m9_5WhY3BBwb';
		  
		  //seting up default Home-View
		  var west = 18.0;
		  var south = 1.0;
		  var east = 30.0;
		  var north = 66.0;
          var rectangle1 = Cesium.Rectangle.fromDegrees(west, south, east, north);

		  Cesium.Camera.DEFAULT_VIEW_FACTOR = 1;
		  Cesium.Camera.DEFAULT_VIEW_RECTANGLE = rectangle1;
		  
		  // Cesium Viewer Initialisation
		  // https://cesiumjs.org/Cesium/Build/Documentation/Viewer.html
		  var viewer = new Cesium.Viewer('cesiumContainer', 
		  {
		  navigationHelpButton: false,
		  timeline: false,
		  animation: false,
		  fullscreenButton: false
		  });
		  			
		  viewer.infoBox.frame.sandbox = "allow-same-origin allow-top-navigation allow-pointer-lock allow-popups allow-forms allow-scripts"
		 
			/*
			#################################################
			Button Functions
			#################################################
			*/
		 
			function func_1()
			{ 
			
				document.getElementById('Legend1').style.display = "block";
				document.getElementById('Legend2').style.display = "none";
				document.getElementById('Legend3').style.display = "none";
				document.getElementById('Legend4').style.display = "none";
				document.getElementById('Legend5').style.display = "none";
				document.getElementById('Legend6').style.display = "none";
				
				document.getElementById('Box1').style.display = "block";
				document.getElementById('Box2').style.display = "none";
				document.getElementById('Box3').style.display = "none";
				document.getElementById('Box4').style.display = "none";
				document.getElementById('Box5').style.display = "none";
				document.getElementById('Box6').style.display = "none";
				
			viewer.dataSources.removeAll()
				
			var imageryLayers = viewer.imageryLayers; 			
			imageryLayers.addImageryProvider 			
				( new Cesium.WebMapServiceImageryProvider(
					{
					url : 'http://edusvr219.geo.sbg.ac.at/geoserver/geist/wms', 
					layers : 'geist:gtco3', 
					parameters :
						{
						transparent : true, 				
						format : 'image/png' 				
						} 			 
					})); 			
			}
			
			function func_2()
			{ 
				viewer.dataSources.removeAll()	 
				
				document.getElementById('Legend1').style.display = "none";
				document.getElementById('Legend2').style.display = "block";
				document.getElementById('Legend3').style.display = "none";
				document.getElementById('Legend4').style.display = "none";
				document.getElementById('Legend5').style.display = "none";
				document.getElementById('Legend6').style.display = "none";
				
				document.getElementById('Box1').style.display = "none";
				document.getElementById('Box2').style.display = "block";
				document.getElementById('Box3').style.display = "none";
				document.getElementById('Box4').style.display = "none";
				document.getElementById('Box5').style.display = "none";
				document.getElementById('Box6').style.display = "none";
				
			
			var imageryLayers = viewer.imageryLayers; 			
			imageryLayers.addImageryProvider 			
				( new Cesium.WebMapServiceImageryProvider(
					{
					url : 'http://edusvr219.geo.sbg.ac.at/geoserver/geist/wms', 
					layers : 'geist:tcco', 
					parameters :
						{
						transparent : true, 				
						format : 'image/png' 				
						} 			 
					})); 			
			}
			
			function func_3()
			{ 
			
			viewer.dataSources.removeAll()
			
			document.getElementById('Legend1').style.display = "none";
				document.getElementById('Legend2').style.display = "none";
				document.getElementById('Legend3').style.display = "block";
				document.getElementById('Legend4').style.display = "none";
				document.getElementById('Legend5').style.display = "none";
				document.getElementById('Legend6').style.display = "none";
				
			document.getElementById('Box1').style.display = "none";
				document.getElementById('Box2').style.display = "none";
				document.getElementById('Box3').style.display = "block";
				document.getElementById('Box4').style.display = "none";
				document.getElementById('Box5').style.display = "none";
				document.getElementById('Box6').style.display = "none";
				
			
			
			var imageryLayers = viewer.imageryLayers; 			
			imageryLayers.addImageryProvider 			
				( new Cesium.WebMapServiceImageryProvider(
						{
						url : 'http://edusvr219.geo.sbg.ac.at/geoserver/geist/wms', 
						layers : 'geist:tcno2', 
						parameters :
							{
							transparent : true, 				
							format : 'image/png' 				
							} 			 
						})); 			
				}
			
			function func_4()
			{
			
			viewer.dataSources.removeAll()
			
			document.getElementById('Legend1').style.display = "none";
				document.getElementById('Legend2').style.display = "none";
				document.getElementById('Legend3').style.display = "none";
				document.getElementById('Legend4').style.display = "block";
				document.getElementById('Legend5').style.display = "none";
				document.getElementById('Legend6').style.display = "none";
				
			document.getElementById('Box1').style.display = "none";
				document.getElementById('Box2').style.display = "none";
				document.getElementById('Box3').style.display = "none";
				document.getElementById('Box4').style.display = "block";
				document.getElementById('Box5').style.display = "none";
				document.getElementById('Box6').style.display = "none";
				
						
			var imageryLayers = viewer.imageryLayers; 			
			imageryLayers.addImageryProvider 			
				( new Cesium.WebMapServiceImageryProvider(
					{
					url : 'http://edusvr219.geo.sbg.ac.at/geoserver/geist/wms', 
					layers : 'geist:tcso2', 
					parameters :
						{
						transparent : true, 				
						format : 'image/png' 				
						} 			 
					})); 			
			}
			
			function func_5()
			{ 
			
			viewer.dataSources.removeAll()
			
			document.getElementById('Legend1').style.display = "none";
				document.getElementById('Legend2').style.display = "none";
				document.getElementById('Legend3').style.display = "none";
				document.getElementById('Legend4').style.display = "none";
				document.getElementById('Legend5').style.display = "block";
				document.getElementById('Legend6').style.display = "none";
				
			document.getElementById('Box1').style.display = "none";
				document.getElementById('Box2').style.display = "none";
				document.getElementById('Box3').style.display = "none";
				document.getElementById('Box4').style.display = "none";
				document.getElementById('Box5').style.display = "block";
				document.getElementById('Box6').style.display = "none";
		
			
			var imageryLayers = viewer.imageryLayers; 			
			imageryLayers.addImageryProvider 			
				( new Cesium.WebMapServiceImageryProvider(
					{
					url : 'http://edusvr219.geo.sbg.ac.at/geoserver/geist/wms', 
					layers : 'geist:tc_ch4', 
					parameters :
						{
						transparent : true, 				
						format : 'image/png' 				
						} 			 
					})); 			
			}
			
			function func_6()
			{
			
			viewer.dataSources.removeAll()
			
			document.getElementById('Legend1').style.display = "none";
				document.getElementById('Legend2').style.display = "none";
				document.getElementById('Legend3').style.display = "none";
				document.getElementById('Legend4').style.display = "none";
				document.getElementById('Legend5').style.display = "none";
				document.getElementById('Legend6').style.display = "block";
				
			document.getElementById('Box1').style.display = "none";
				document.getElementById('Box2').style.display = "none";
				document.getElementById('Box3').style.display = "none";
				document.getElementById('Box4').style.display = "none";
				document.getElementById('Box5').style.display = "none";
				document.getElementById('Box6').style.display = "block";
				
			
			var imageryLayers = viewer.imageryLayers; 			
			imageryLayers.addImageryProvider 			
				( new Cesium.WebMapServiceImageryProvider(
					{
					url : 'http://edusvr219.geo.sbg.ac.at/geoserver/geist/wms', 
					layers : 'geist:tc_hno3', 
					parameters :
						{
						transparent : true, 				
						format : 'image/png' 				
						} 			 
					})); 			
			}
		
		
		/*
		#################################################
		Button Functions
		https://cesiumjs.org/tutorials/Imagery-Layers-Tutorial
		#################################################
		*/
			
		function OverlayBoundary() 
		{
		var imageryLayers = viewer.imageryLayers;
		imageryLayers.addImageryProvider (
		new Cesium.WebMapServiceImageryProvider(
				{
				url : 'http://edusvr219.geo.sbg.ac.at/geoserver/geist/wms',
				layers : 'geist:boundary',
				parameters : 
					{
					transparent : true,
					format : 'image/png'
					}
				}));
				
		if (document.getElementById('Overlay').checked == true) 
			{
			layers.add(imageryLayers);		
			}
			else
			{
			layers.remove(imageryLayers);
			}
		}
		
		function blank()
				{
				console.log('Function 4 is loading');
				document.getElementById('Legend1').style.display = "none";
				document.getElementById('Legend2').style.display = "none";
				document.getElementById('Legend3').style.display = "none";
				document.getElementById('Legend4').style.display = "none";
				document.getElementById('Legend5').style.display = "none";
				document.getElementById('Legend6').style.display = "none";
				
				document.getElementById('Box1').style.display = "none";
				document.getElementById('Box2').style.display = "none";
				document.getElementById('Box3').style.display = "none";
				document.getElementById('Box4').style.display = "none";
				document.getElementById('Box5').style.display = "none";
				document.getElementById('Box6').style.display = "none";
				viewer.removeAll()
				}
				
  		</script>
		<!--
		<div class="BottomLeft">
		<a href="https://gitlab.com/hannah.augustin/IoT_Integration" target="_blank"><img src="https://www.openshift.com/images/partners/gitlab.png"style="width:65px;height:70px;" /></a> -->
			
		<div class="Test">
		<a href="https://gitlab.com/hannah.augustin/IoT_Integration" target="_blank"><img src="../Apps/geist_logo.png"style="width:200px;height:70px;"/></a>
		
		<!-- Changed Cesium-Viewer-Bottom display to none in Widget.css -->
		
</body>
</html>
  
  
  
  
  
  